#include <vector>
#include <iostream>
#include "histogram.h"
#include "text.h"
#include "svg.h"
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(istream& in_stream, bool prompt) {
    Input in;
    size_t number_count;
    
    if (prompt) {
        cerr << "Enter number count: ";
    }
    in_stream >> number_count;
    
    in.numbers.resize(number_count);
    if (prompt && number_count > 0) {
        cerr << "Enter numbers: ";
    }
    for (size_t i = 0; i < number_count; i++) {
        in_stream >> in.numbers[i];
    }
    
    if (prompt) {
        cerr << "Enter bin count: ";
    }
    in_stream >> in.bin_count;
    
    return in;
}

int main() {
    auto in = input_data(cin, true);  // true - выводить подсказки
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    
    return 0;
}
}
