
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"

TEST_CASE("Test find_minmax with distinct positive numbers") {
    double min, max;
    find_minmax({1, 2}, min, max);
    CHECK(min == 1);
    CHECK(max == 2);
}

TEST_CASE("Test find_minmax with single element") {
    double min, max;
    find_minmax({5}, min, max);
    CHECK(min == 5);
    CHECK(max == 5);
}

TEST_CASE("Test find_minmax with negative numbers") {
    double min, max;
    find_minmax({-3, -1, -2}, min, max);
    CHECK(min == -3);
    CHECK(max == -1);
}

TEST_CASE("Test find_minmax with equal elements") {
    double min, max;
    find_minmax({7, 7, 7}, min, max);
    CHECK(min == 7);
    CHECK(max == 7);

}
TEST_CASE("Mixed positive and negative numbers") {
    double min, max;
    find_minmax({-5.0, 0.0, 5.0}, min, max);
    CHECK(min == -5.0);
    CHECK(max == 5.0);
}
